<div class="empty-wrapper">
  <div class="header-empty-container"></div>
  <div class="news-container">
    <div class="content-container">
      <div class="items-box">
        <ng-container *ngIf="!(enabledReviews$ | async)?.length">
          <p class="empty-text">Отзывов пока нет</p>
        </ng-container>
        <ng-container *ngFor="let review of enabledReviews$ | async">
          <div class="content" @inOutPaneAnimation>
            <div class="testimonial">
              <blockquote>
                {{review.review}}
              </blockquote>
              <div></div>
              <p>
                {{review.author}} &mdash; {{review.organization}}
              </p>
            </div>
          </div>
        </ng-container>
      </div>
    </div>
    <div class="form-box">
      <button class="button" (click)="toggleFormState()">
        Оставить отзыв
        <div class="button__horizontal"></div>
        <div class="button__vertical"></div>
      </button>
      <form
        [formGroup]="reviewForm"
        (ngSubmit)="sendReview()"
        class="form-container"
        *ngIf="isFormVisible"
        #scrollMe>
        <div class="form__group field">
          <input formControlName="author" type="text" class="form__field" placeholder="Ваше имя" name="author" id='author'/>
          <label for="author" class="form__label">Ваше имя</label>
          <div
            *ngIf="
          reviewForm.controls['author'].invalid
           && (reviewForm.controls['author'].dirty
           || reviewForm.controls['author'].touched)">
            <div
              class="form-error"
              *ngIf="reviewForm.controls['author'].errors?.['required']">
              Введите ваше имя
            </div>
          </div>
        </div>
        <div class="form__group field">
          <input formControlName="organization" type="text" class="form__field" placeholder="Название вашей организации" name="organization" id='organization'/>
          <label for="organization" class="form__label">Название вашей организации</label>
          <div
            *ngIf="
          reviewForm.controls['organization'].invalid
           && (reviewForm.controls['organization'].dirty
           || reviewForm.controls['organization'].touched)">
            <div
              class="form-error"
              *ngIf="reviewForm.controls['organization'].errors?.['required']">
              Введите название вашей организации
            </div>
          </div>
        </div>
        <div class="form__group field">
          <textarea formControlName="review" rows="5" class="form__field" placeholder="Ваш отзыв" name="review" id='review'></textarea>
          <label for="review" class="form__label">Ваш отзыв</label>
          <div
            *ngIf="
          reviewForm.controls['review'].invalid
           && (reviewForm.controls['review'].dirty
           || reviewForm.controls['review'].touched)">
            <div
              class="form-error"
              *ngIf="reviewForm.controls['review'].errors?.['required']">
              Напишите отзыв
            </div>
            <div
              class="form-error"
              *ngIf="reviewForm.controls['review'].errors?.['maxlength']">
              Отзыв не может быть больше 6800 символов
            </div>
          </div>
        </div>
        <div class="form__group field form-bottom">
          <button [disabled]="reviewForm.invalid" class="btn">Отправить</button>
          <div class="checkbox-wrapper">
            <div class="checkbox-wrapper-17">
              <input formControlName="isAgreements" type="checkbox" id="switch-17"/>
              <label for="switch-17"></label>
            </div>
            <p class="reglaments-text">Принимаю условия пользовательского соглашения</p>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

<ng-container *ngIf="isPopup$ | async">
  <app-modal (closeWindow)="closePopup()">
    <div class="modal-content">
      <p *ngIf="isPopup$ | async" class="alert upper-bold">{{isPopup$ | async}}</p>
      <button class="btn" (click)="closePopup()">Закрыть</button>
    </div>
  </app-modal>
</ng-container>
